package request


type AlibabaWdkItemCategoryQueryRequest struct {
    /*
        查询关键词，不填查全部     */
    Keyword  *string `json:"keyword,omitempty" required:"false" `
    /*
        从哪个类目开始查，不填从根类目开始查     */
    RootCategoryCode  *string `json:"root_category_code,omitempty" required:"false" `
}

func (s *AlibabaWdkItemCategoryQueryRequest) SetKeyword(v string) *AlibabaWdkItemCategoryQueryRequest {
    s.Keyword = &v
    return s
}
func (s *AlibabaWdkItemCategoryQueryRequest) SetRootCategoryCode(v string) *AlibabaWdkItemCategoryQueryRequest {
    s.RootCategoryCode = &v
    return s
}

func (req *AlibabaWdkItemCategoryQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.Keyword != nil) {
        paramMap["keyword"] = *req.Keyword
    }
    if(req.RootCategoryCode != nil) {
        paramMap["root_category_code"] = *req.RootCategoryCode
    }
    return paramMap
}

func (req *AlibabaWdkItemCategoryQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}